// Produce the labels for the kids PARENTS COUNTERFACTUAL simulations

clear all
set mem 100m
cd  "C:\CFolderSIGEPapercounterfactuals\QE Revision 2017\Analysis\Base Simulation\
about
use ParentsKidsData_Simulation_QE_Revision_base.dta


order idind IsParents 
//sum idind  idind_OLD   idindNEW childid1 childid1_NEW ParentsID bind ageind  eind  nclag  age e  IsParents

// CF0 perfect
drop educmotherind  educfatherind highhoursind educmother educfather highhours nc  

label variable idind "Id of the individual and spouse,always main indv is female, spouse is male"
label variable IsParents "Whether the individual is Parents (mother and father are same observations), = 1 if parents, = 0 if child "
label variable bind "Individual is black"
label variable find "Individual is female"
label variable eind "Education of the individual"
label variable ageind "Age of the individual"
label variable mind "Individual is married"
label variable nclag "Number of children of the individual"
label variable dw1ind "Time t-1 discrete labor supply of the individual"
label variable dw2ind "Time t-2 discrete labor supply of the individual"
label variable dw3ind "Time t-3 discrete labor supply of the individual"
label variable dw4ind "Time t-4 discrete labor supply of the individual"
label variable age "Age of the spouse"
label variable e "Education of the spouse"
label variable dw1 "Time t-1 discrete labor supply of the spouse"
label variable dw2 "Time t-2 discrete labor supply of the spouse"
label variable dw3 "Time t-3 discrete labor supply of the spouse"
label variable dw4 "Time t-4 discrete labor supply of the spouse"
label variable tsc1 "Time spent with child 1 of the individual"
label variable tsc2 "Time spent with child 2 of the individual"
label variable tsc3 "Time spent with child 3 of the individual"
label variable tsc4 "Time spent with child 4 of the individual"
label variable agec1 "Age of the child 1"
label variable agec2 "Age of the child 2"
label variable agec3 "Age of the child 3"
label variable agec4 "Age of the child 4"
label variable tscs1 "Time spent with child 1 of the spouse"
label variable tscs2 "Time spent with child 2 of the spouse"
label variable tscs3 "Time spent with child 3 of the spouse"
label variable tscs4 "Time spent with child 4 of the spouse"
label variable childgender1 "Gender of the child 1, 1 is male, 2 is female"
label variable childgender2 "Gender of the child 2, 1 is male, 2 is female"
label variable childgender3 "Gender of the child 3, 1 is male, 2 is female"
label variable childgender4 "Gender of the child 4, 1 is male, 2 is female"
label variable numfemalec "Number of female children"
label variable choice "Choice of the individual"
label variable choice_sp "Choice of the spouse"
label variable Choice1 "Whether the individual chooses choice 1, = 1 if she chooses"
label variable Choice2 "Whether the individual chooses choice 2, = 1 if she chooses"
label variable Choice3 "Whether the individual chooses choice 3, = 1 if she chooses"
label variable Choice4 "Whether the individual chooses choice 4, = 1 if she chooses"
label variable Choice5 "Whether the individual chooses choice 5, = 1 if she chooses"
label variable Choice6 "Whether the individual chooses choice 6, = 1 if she chooses"
label variable Choice7 "Whether the individual chooses choice 7, = 1 if she chooses"
label variable Choice8 "Whether the individual chooses choice 8, = 1 if she chooses"
label variable Choice9 "Whether the individual chooses choice 9, = 1 if she chooses"
label variable Choice10 "Whether the individual chooses choice 10, = 1 if she chooses"
label variable Choice11 "Whether the individual chooses choice 11, = 1 if she chooses"
label variable Choice12 "Whether the individual chooses choice 12, = 1 if she chooses"
label variable Choice13 "Whether the individual chooses choice 13, = 1 if she chooses"
label variable Choice14 "Whether the individual chooses choice 14, = 1 if she chooses"
label variable Choice15 "Whether the individual chooses choice 15, = 1 if she chooses"
label variable Choice16 "Whether the individual chooses choice 16, = 1 if she chooses"
label variable birth "Whether the individual gives a birth"
label variable laborsupply "Labor supply of the individual, full = 2, part = 1, no = 0"
label variable timeinv "Time investment of the individual, full = 2, part = 1, no = 0"
label variable timeinv1 "Whether the individual chooses no time investment, = 1 if she chooses"
label variable timeinv2 "Whether the individual chooses part time investment, = 1 if she chooses"
label variable timeinv3 "Whether the individual chooses full time investment, = 1 if she chooses"
label variable laborsupply1 "Whether the individual chooses no labor supply, = 1 if she chooses"
label variable laborsupply2 "Whether the individual chooses part labor supply, = 1 if she chooses"
label variable laborsupply3 "Whether the individual chooses full labor supply, = 1 if she chooses"
label variable Havekidlessage5 "Whether the individual has kids under age 5, = 1 if she has"
label variable SChoice1 "Whether the spouse chooses choice 1, = 1 if he chooses"
label variable SChoice2 "Whether the spouse chooses choice 2, = 1 if he chooses"
label variable SChoice3 "Whether the spouse chooses choice 3, = 1 if he chooses"
label variable SChoice4 "Whether the spouse chooses choice 4, = 1 if he chooses"
label variable SChoice5 "Whether the spouse chooses choice 5, = 1 if he chooses"
label variable SChoice6 "Whether the spouse chooses choice 6, = 1 if he chooses"
label variable SChoice7 "Whether the spouse chooses choice 7, = 1 if he chooses"
label variable SChoice8 "Whether the spouse chooses choice 8, = 1 if he chooses"
label variable SChoice9 "Whether the spouse chooses choice 9, = 1 if he chooses"


label variable Slaborsupply "Labor supply of the spouse, full = 2, part = 1, no = 0"
label variable Stimeinv "Time investment of the spouse, full = 2, part = 1, no = 0"
label variable Stimeinv1 "Whether the spouse chooses no time investment, = 1 if he chooses"
label variable Stimeinv2 "Whether the spouse chooses part time investment, = 1 if he chooses"
label variable Stimeinv3 "Whether the spouse chooses full time investment, = 1 if he chooses"
label variable Slaborsupply1 "Whether the spouse chooses no labor supply, = 1 if he chooses"
label variable Slaborsupply2 "Whether the spouse chooses part labor supply, = 1 if he chooses"
label variable Slaborsupply3 "Whether the spouse chooses full labor supply, = 1 if he chooses"

 
drop childid1 childid2 childid3 childid4       
rename childid1_NEW childid1
rename childid2_NEW childid2
rename childid3_NEW childid3
rename childid4_NEW childid4

label variable childid1 "Id of the child 1 if the individual is a parent"
label variable childid2 "Id of the child 2 if the individual is a parent"
label variable childid3 "Id of the child 3 if the individual is a parent"
label variable childid4 "Id of the child 4 if the individual is a parent"

label variable ParentsID "Id of the parents if the individual is a child "

drop siblingID1 siblingID2 siblingID3 idindNEW idind_OLD 
//_merge  
rename siblingID1_NEW siblingID1
rename siblingID2_NEW siblingID2
rename siblingID3_NEW siblingID3

label variable siblingID1 "Id of the sibling 1 if the individual is a child"
label variable siblingID2 "Id of the sibling 2 if the individual is a child"
label variable siblingID3 "Id of the sibling 3 if the individual is a child"

label variable Cfemale  "gender of the individual if the individual is a child"
label variable sibling1female "gender of the individual's 1st sibling if the individual is a child"
label variable sibling2female "gender of the individual's 2nd sibling if the individual is a child"
label variable sibling3female "gender of the individual's 3rd sibling if the individual is a child"

drop  cgender1 cgender2 cgender3 cgender4

label variable SiblingsOrder "The order of birth of the individual among siblings,if the individual is a child"
      
save ParentsKidsData_Simulation_QE_Revision_base_withLabels.dta,replace      
      
  
